
Redmine - Defect #3227

Unable to remove 'status' filter in issues

2009-04-23 14:08 - Oskar Nordquist

Status: Closed Start date: 2009-04-23

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

This might not be a defect, but it's annoying nevertheless. The only way to show ALL issues is by selecting 'status all'.

Related issues:

Related to Redmine - Defect #40249: Clear filter option is not working properly Closed

History

#1 - 2009-04-24 17:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Closing this ticket since you are able to remove the status filter.

I think that setting the default filter to 'open tickets' is the prefered behaviour.

Viewing open+closed issues requires just 2 clicks.

With a custom query, you just need 1 click.

#2 - 2009-04-24 18:59 - Oskar Nordquist

Jean-Philippe Lang wrote:

Closing this ticket since you are able to remove the status filter.

I think that setting the default filter to 'open tickets' is the prefered behaviour.

Viewing open+closed issues requires just 2 clicks.

With a custom query, you just need 1 click.

 You are right. I just think it's bad UI design to have the status filter be somehow special. Unchecking the status filter and clicking 'apply' should

remove the filter like any other filter, and show all issues (status all).

The default behavior to show opened issues by default seems like a hack in this regard. It should be solved using a custom query where status ==

ALL.

#3 - 2009-04-24 19:01 - Oskar Nordquist

Oskar Nordquist wrote:

It should be solved using a custom query where status  ALL.

 I meant to write status  OPENED.

#4 - 2024-03-11 16:43 - Holger Just

- Related to Defect #40249: Clear filter option is not working properly added
